Bug 398509 - Request for Outline Tool
Summary: Request for Outline Tool
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: 4.1.1
Platform: Microsoft Windows Microsoft Windows
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-11 16:16 UTC by Kenneth Evans
Modified: 2019-03-11 13:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Example of using a Lasso or Outline Tool with Fill. (121.73 KB, image/png)
2018-09-11 16:16 UTC, Kenneth Evans
Details
Professional inking (736.35 KB, image/jpeg)
2018-09-12 01:42 UTC, Kenneth Evans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Evans 2018-09-11 16:16:35 UTC
Created attachment 114904 [details]
Example of using a Lasso or Outline Tool with Fill.

It would be nice to have an Outline Tool, working like the Polygon Tool but selecting like the Outline Selection Tool.  It shouldn't be that hard to implement since the parts are already there in the Polygon Tool and Outline Selection Tool.

I have just discovered the Lasso Fill Tool in Clip Studio Paint.  (Lasso is their name for what Krita calls Outline.) It is INCREDIBLY useful for inking large areas.  You just draw around the area, and it fills.  Very fast and easy.  You can do this in Krita with the Polygon Tool, but it is slow and the edges are not smooth curves.

I am attaching an example.  I did it fast, and it may not be the best inking, but it shows what can be done easily with such a tool.
Comment 1 Halla Rempt 2018-09-11 16:17:32 UTC
Doesn't https://docs.krita.org/en/reference_manual/tools/colorize_mask.html fill your requirements?
Comment 2 Kenneth Evans 2018-09-12 01:42:02 UTC
Created attachment 114908 [details]
Professional inking
Comment 3 Kenneth Evans 2018-09-12 01:45:08 UTC
No, it's really a different thing. I saw it in a webinar by an inker for Marvel comics. For my example the mask might work, but for more elaborate inking it won't.  With this tool you are drawing all the time, not doing UI things, which keeps your rhythm. Essentially you just need a pen and this fill tool.  You probably have to see it to understand.  The webimar is at https://youtu.be/adCeHwgIQi0. I will attach a screenshot from it.

Again, it shouldn't be hard to do.
Comment 4 Kenneth Evans 2018-10-24 15:25:35 UTC
For the record, I just discovered the Shapes Fill brush sort of does this. However, it would still be nice to have an Outline Tool.
Comment 5 wolthera 2018-10-27 16:31:10 UTC
Can you specify why the shape brush isn't sufficient?
Comment 6 Kenneth Evans 2018-10-27 19:14:00 UTC
I have been using Clip Studio Paint for some inking, mostly because of this feature.  The fill feature really works well there.  In addition I am comfortable with how it works in CSP.  In fairness, I just tried the Shapes Fill brush in Krita, enough to get at least partially comfortable with inking with it in Krita.

After this experimentation, the main problem I see with the Shapes Fill brush is that it fills as you go and hence frequently covers up your sketch.  Other than that it seems to suffice.  I suppose I could get used to it.

I _would_ like to use Krita for everything.
Comment 7 wolthera 2018-11-16 15:44:56 UTC
Okay, one last recommendation then:

Using the freehand path tool(https://docs.krita.org/en/reference_manual/tools/freehand_path.html) with the fill set to foreground and the stroke to none. That will draw a visible path when drawing and not fill automatically until the stroke is finished.
Comment 8 Kenneth Evans 2018-11-17 02:01:59 UTC
I tried the Freehand Path Tool, or more accurately tried to try it.  The Tool Options are Fill and Outline (not Stroke).  There are also Pencil settings.  None of this is explained in the manual link you gave.

AFAICT it draws an outline using the current brush and then fills it after it is done, as you said.  This is a problem if the current brush is not a thin line.  And you would have to switch from the Gpen, then switch to this tool, and then switch both back.  See my earlier comment, "... you are drawing all the time, not doing UI things, which keeps your rhythm".  It is _not_ useful for this purpose if the current brush has a thick line in any event.

But I may not understand it.  The manual for it is not helpful, and I didn't find anything Googling.

In addition it seems to be buggy.  I got an x-out cursor saying I could not draw on my layer (with no error message or explanation) after a couple of tries.  I only got rid of this by restarting Krita.
Comment 9 Kenneth Evans 2018-11-17 02:25:45 UTC
Looking back at this again, the Polygon Tool does just what you want (draws, then fills) except that it does a polygon rather than a continuous outline.  It would be nice to have a Outline Tool version.
Comment 10 wolthera 2019-03-06 13:03:31 UTC
Git commit 20f64ce201172e9ec43da6e254c50111185cad19 by Wolthera van Hövell tot Westerflier.
Committed on 06/03/2019 at 13:03.
Pushed by woltherav into branch 'master'.

This allows the freehand path tool to be used as an outline fill tool.

M  +5    -0    libs/basicflakes/tools/KoPencilTool.cpp
M  +1    -0    libs/basicflakes/tools/KoPencilTool.h
M  +17   -3    plugins/tools/basictools/kis_tool_pencil.cc
M  +3    -1    plugins/tools/basictools/kis_tool_pencil.h

https://commits.kde.org/krita/20f64ce201172e9ec43da6e254c50111185cad19
Comment 11 mvowada 2019-03-11 10:37:30 UTC
(In reply to wolthera from comment #10)
> 
> This allows the freehand path tool to be used as an outline fill tool.

It works beautifully. Thanks
Comment 12 mvowada 2019-03-11 13:57:45 UTC
Just one note: 

it would be nice to have the "Freehand Path Tool > Pencil" changes remembered when restarting. Example:

   1. set "Exactness" to "0.10" (default is 0.50)
   2. restart

Actual Results: "Exactness" will reset to "0.50" (it was set to "0.10").
Expected Results: keep options changes through sessions (like brush smoothing).